

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Service Viewpoint &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Technical Specification" href="specification.html" />
    <link rel="prev" title="Platform Viewpoint" href="platform-viewpoint.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="index.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1"><a class="reference internal" href="requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concept Definitions</a></li>
<li class="toctree-l1"><a class="reference internal" href="organization-viewpoint.html">Organizational Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="platform-viewpoint.html">Platform Viewpoint</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Service Viewpoint</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#service-interface-definition-format">Service Interface Definition Format</a></li>
<li class="toctree-l2"><a class="reference internal" href="#self-description">Self-Description</a></li>
<li class="toctree-l2"><a class="reference internal" href="#standard-service-definitions">Standard Service Definitions</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#storage-service-category">Storage Service Category</a></li>
<li class="toctree-l3"><a class="reference internal" href="#compute-service-category">Compute Service Category</a></li>
<li class="toctree-l3"><a class="reference internal" href="#networking-service-category">Networking Service Category</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#service-mesh-orchestration">Service-Mesh Orchestration</a></li>
<li class="toctree-l2"><a class="reference internal" href="#service-runtime-environment">Service Runtime Environment</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#combine-storage-compute-networking-into-a-runtime-environment">Combine Storage, Compute, Networking into a Runtime Environment</a></li>
<li class="toctree-l3"><a class="reference internal" href="#consumed-node-interfaces">Consumed Node Interfaces</a></li>
<li class="toctree-l3"><a class="reference internal" href="#consumed-platform-interfaces">Consumed Platform Interfaces</a></li>
<li class="toctree-l3"><a class="reference internal" href="#consumed-service-interfaces">Consumed Service Interfaces</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#service-lifecycle">Service Lifecycle</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#engineering">Engineering</a></li>
<li class="toctree-l3"><a class="reference internal" href="#comissioning">Comissioning</a></li>
<li class="toctree-l3"><a class="reference internal" href="#runtime">Runtime</a></li>
<li class="toctree-l3"><a class="reference internal" href="#sunsetting">Sunsetting</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="specification.html">Technical Specification</a></li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Service Viewpoint</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/service-viewpoint.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="service-viewpoint">
<h1>Service Viewpoint<a class="headerlink" href="#service-viewpoint" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>Ths chapter takes a bottom-up view on the individual service deployed in
the Gaia-X architecture. Which interfaces are made available to the service
developer? What are the stages in a service lifecycle?</p>
</div>
<div class="section" id="service-interface-definition-format">
<h2>Service Interface Definition Format<a class="headerlink" href="#service-interface-definition-format" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Software &amp; Architecture</p>
<p>See proposal for “Service Description Language”:
(Berthold Maier, <a class="reference external" href="https://gaia.coyocloud.com/timeline/item/0bf08eec-7227-4d04-9310-253ec6a019a2">https://gaia.coyocloud.com/timeline/item/0bf08eec-7227-4d04-9310-253ec6a019a2</a>)</p>
<p>This has to be a machine-readable definition format.</p>
<p>Examples:</p>
<ul class="simple">
<li><p>Interface Definition Language (IDL)</p></li>
<li><p>Webservice Definition Langauge (WSDL)</p></li>
</ul>
</div>
</div>
<div class="section" id="self-description">
<span id="service-self-description"></span><h2>Self-Description<a class="headerlink" href="#self-description" title="Permalink to this headline">¶</a></h2>
<p>This section starts from the definition of the general GAIA-X term definition
for <a class="reference internal" href="concepts.html#concept-self-description"><span class="std std-ref">Self Description</span></a>.</p>
<p>The concept of autonomy is key to the GAIA-X vision of a cloud environment
where each provider should be able to add nodes, services and data assets
dynamically into the distributed cloud network with the required self-sovereign
capabilities. At any point of time transparency is required and questions under
which conditions the assets run must be visible for all participants in a
trusted and tamper-evident presentation. The self-description concept plays an
important role to achieve that in technology agnostic way. Following aspect
covered by self-descriptions:</p>
<ul class="simple">
<li><p>Machine readable and automatically evaluable</p></li>
<li><p>Represents objects and attributes in a semantic unique vocabulary</p></li>
<li><p>Context aware model that is extendable</p></li>
<li><p>Integrative that allow a mapping to existing description</p></li>
<li><p>Trustable by providing verifiable information</p></li>
<li><p>Tnteroperable on conceptual level</p></li>
<li><p>Follows a technology agnostic approach</p></li>
</ul>
<p>Self-description is used to express GAIA-X provider, nodes, services,
data assets and runtime instances with attributes that allow to make dynamic
decision at deployment and runtime.  The concept of “Policy Driven Workload”
and the delivery of catalog data is the key usage of the self-description.
To enable decision making the representation is consumer driven, who can ask
for context  specific attributes like location, certification, vendor, SAL, etc.
Any self-description or included claims can be proved in usage of the
“Verifiable Credentials” [W3C, <a class="reference external" href="https://www.w3.org/TR/vc-data-model/">https://www.w3.org/TR/vc-data-model/</a> ] concept
to accept or decline them. In the process there can be can be many verifiers
in the process and the trust is made combining attributes from Provider, Node,
Service, Data Asset and Instances.</p>
<p>Semantic description techniques used to express the objects and attributes that
are linked to existing declarations.  The declarative representation of
GAIA-X schema catalog is built upon
Linked Data Standard RDF/OWL and JSON-LD.
JSON-LD [<a class="reference external" href="https://www.w3.org/TR/json-ld11/">https://www.w3.org/TR/json-ld11/</a>] used to represent the
self-description in a common format to enable a broad adoption and tooling.</p>
<div class="figure align-default" id="id1" style="width: 100%">
<img alt="Self Description Concept" src="_images/self-description-concept.png" />
<p class="caption"><span class="caption-text">Self Description Concept</span><a class="headerlink" href="#id1" title="Permalink to this image">¶</a></p>
</div>
</div>
<div class="section" id="standard-service-definitions">
<h2>Standard Service Definitions<a class="headerlink" href="#standard-service-definitions" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Storage, Compute &amp; Networking Working Group</p>
<p>The SCN services are themselves GAIA-X services.</p>
</div>
<div class="section" id="storage-service-category">
<h3>Storage Service Category<a class="headerlink" href="#storage-service-category" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="compute-service-category">
<h3>Compute Service Category<a class="headerlink" href="#compute-service-category" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="networking-service-category">
<h3>Networking Service Category<a class="headerlink" href="#networking-service-category" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="service-mesh-orchestration">
<h2>Service-Mesh Orchestration<a class="headerlink" href="#service-mesh-orchestration" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="service-runtime-environment">
<h2>Service Runtime Environment<a class="headerlink" href="#service-runtime-environment" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>What can the service developers use/assume?</p>
</div>
<div class="section" id="combine-storage-compute-networking-into-a-runtime-environment">
<h3>Combine Storage, Compute, Networking into a Runtime Environment<a class="headerlink" href="#combine-storage-compute-networking-into-a-runtime-environment" title="Permalink to this headline">¶</a></h3>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Storage, Compute &amp; Networking Working Group</p>
</div>
</div>
<div class="section" id="consumed-node-interfaces">
<h3>Consumed Node Interfaces<a class="headerlink" href="#consumed-node-interfaces" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="consumed-platform-interfaces">
<h3>Consumed Platform Interfaces<a class="headerlink" href="#consumed-platform-interfaces" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="consumed-service-interfaces">
<h3>Consumed Service Interfaces<a class="headerlink" href="#consumed-service-interfaces" title="Permalink to this headline">¶</a></h3>
<p># Reconfiguration, Logging, Handling of Errors</p>
</div>
</div>
<div class="section" id="service-lifecycle">
<h2>Service Lifecycle<a class="headerlink" href="#service-lifecycle" title="Permalink to this headline">¶</a></h2>
<div class="section" id="engineering">
<h3>Engineering<a class="headerlink" href="#engineering" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="comissioning">
<h3>Comissioning<a class="headerlink" href="#comissioning" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="runtime">
<h3>Runtime<a class="headerlink" href="#runtime" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="sunsetting">
<h3>Sunsetting<a class="headerlink" href="#sunsetting" title="Permalink to this headline">¶</a></h3>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="specification.html" class="btn btn-neutral float-right" title="Technical Specification" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="platform-viewpoint.html" class="btn btn-neutral float-left" title="Platform Viewpoint" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>